Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.process
Class Priority

    java.lang.Object
      java.lang.Number
          java.math.BigDecimal
              com.novell.xsl.process.Priority

All Implemented Interfaces:
  Serializable, Comparable<BigDecimal>

    public final class Priority

extends BigDecimal

Immutable, arbitrary-precision signed decimal numbers representing priorities for template rules.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.math.BigDecimal
`ONE, ROUND_CEILING, ROUND_DOWN, ROUND_FLOOR, ROUND_HALF_DOWN, ROUND_HALF_EVEN, ROUND_HALF_UP, ROUND_UNNECESSARY, ROUND_UP, TEN, ZERO`

Method Summary
`static Priority` | `create(double value)`
`static Priority` | `create(String value)` Creates a `Priority` from the specified string representation of a `java.math.BigDecimal`.

Methods inherited from class java.math.BigDecimal
`abs, abs, add, add, byteValueExact, compareTo, divide, divide, divide, divide, divide, divide, divideAndRemainder, divideAndRemainder, divideToIntegralValue, divideToIntegralValue, doubleValue, equals, floatValue, hashCode, intValue, intValueExact, longValue, longValueExact, max, min, movePointLeft, movePointRight, multiply, multiply, negate, negate, plus, plus, pow, pow, precision, remainder, remainder, round, scale, scaleByPowerOfTen, setScale, setScale, setScale, shortValueExact, signum, stripTrailingZeros, subtract, subtract, toBigInteger, toBigIntegerExact, toEngineeringString, toPlainString, toString, ulp, unscaledValue, valueOf, valueOf, valueOf`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### create

    public static Priority create(String value)

  Creates a `Priority` from the specified string representation of a `java.math.BigDecimal`.

  Parameters:
    `value` - the string representation of a `BigDecimal`
  Returns:
    the `Priority` object with the specified value
  Throws:
    `NumberFormatException` - if value is not a valid representation of a `BigDecimal`

### create

    public static Priority create(double value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD